Bullet Collision Detection & Physics Library: btGImpactTriangleCallback Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btGImpactTriangleCallback Class Reference
Inheritance diagram for btGImpactTriangleCallback:
[legend]
Collaboration diagram for btGImpactTriangleCallback:
[legend]

## Public Member Functions
virtual void | processTriangle (btVector3 *triangle, int partId, int triangleIndex)
Public Member Functions inherited from btTriangleCallback
virtual | ~btTriangleCallback ()
virtual void | processTriangle (btVector3 *triangle, int partId, int triangleIndex)=0

## Public Attributes
btGImpactCollisionAlgorithm * | algorithm
const btCollisionObjectWrapper * | body0Wrap
const btCollisionObjectWrapper * | body1Wrap
const btGImpactShapeInterface * | gimpactshape0
bool | swapped
btScalar | margin

## Detailed Description

Definition at line 726 of file btGImpactCollisionAlgorithm.cpp.

## Member Function Documentation

## ◆ processTriangle()

virtual void btGImpactTriangleCallback::processTriangle | ( | btVector3 * | triangle,
|  | int | partId,
|  | int | triangleIndex
| ) |  |
| inlinevirtual

Implements btTriangleCallback.

Definition at line 736 of file btGImpactCollisionAlgorithm.cpp.

## Member Data Documentation

## ◆ algorithm

btGImpactCollisionAlgorithm* btGImpactTriangleCallback::algorithm

Definition at line 729 of file btGImpactCollisionAlgorithm.cpp.

## ◆ body0Wrap

const btCollisionObjectWrapper* btGImpactTriangleCallback::body0Wrap

Definition at line 730 of file btGImpactCollisionAlgorithm.cpp.

## ◆ body1Wrap

const btCollisionObjectWrapper* btGImpactTriangleCallback::body1Wrap

Definition at line 731 of file btGImpactCollisionAlgorithm.cpp.

## ◆ gimpactshape0

const btGImpactShapeInterface* btGImpactTriangleCallback::gimpactshape0

Definition at line 732 of file btGImpactCollisionAlgorithm.cpp.

## ◆ margin

btScalar btGImpactTriangleCallback::margin

Definition at line 734 of file btGImpactCollisionAlgorithm.cpp.

## ◆ swapped

bool btGImpactTriangleCallback::swapped

Definition at line 733 of file btGImpactCollisionAlgorithm.cpp.

The documentation for this class was generated from the following file:

- btGImpactCollisionAlgorithm.cpp